Return one claim mapping

Permission Level: Read

GET /users/claim-mappings/{claimMappingId}

Operation id: ClaimMappingService_GetClaimMapping

Tags: ClaimMappingService

Parameters

Path parameters

NameTypeRequiredDescription
claimMappingIdstringYesThe ID to retrieve. Required: true

Query parameters

NameTypeRequiredDescription
tenantIdstringNoThe tenant ID. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
claimMappingIdstringNo
mappingobjectNo
{
  "type": "object",
  "properties": {
    "claimMappingId": {
      "type": "string"
    },
    "mapping": {
      "type": "object",
      "properties": {
        "claim": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string"
            },
            "value": {
              "type": "string"
            }
          }
        },
        "role": {
          "type": "object",
          "properties": {
            "tenantId": {
              "type": "string",
              "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
            },
            "domain": {
              "type": "string",
              "description": "The platform domain. Required: true. (e.g. ZPA, Reflexis, WFC)\nDefaults to the domain in the request."
            },
            "scope": {
              "type": "string",
              "description": "Some more general scoping for the data (like a particular app in the domain). Required: false."
            },
            "roleId": {
              "type": "string",
              "description": "The role ID. Required: true."
            },
            "userIds": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}